Bug 17993 - Redhat 7.0 Installation failed at the postinstall tasks receiving signal 11
Redhat 7.0 Installation failed at the postinstall tasks receiving signal 11
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-10-01 00:46 EDT by Vladimir Gendler
Modified: 2008-08-01 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vladimir Gendler 2000-10-01 00:46:15 EDT
I tried to install 7.0 17 times using differet options. Several times it stopped in the middle.
In majority of cases it hanged at the end. The last I tried the text install and it breaks
by receiving the signal 11.


CPU: Intel Pentium II 400MHz
Motherboard: Intel SE440BX-2 (with the latest BIOS)
Sound Card: Creative Labs SoundBlasterLiveValue
SCSI Card: AHA-2940U2W (with the latest BIOS)
Hard Drive: ST39173LW (Barracuda) - 2 of them
CD WRITER: TEAC CD-56S (latest firmware revision) 
Monitor: ViewSonic PT815
Video card: Matrox Millenium G200 16MB
Comment 1 Alan Cox 2000-10-01 18:11:10 EDT
That normally indicates out of memory (obviously not in your case since you have
384Mb) or
bad memory. Has this box been running Linux before ?

Reassigned to kernel - doesnt feel like an installer error. Its too random
Comment 2 Vladimir Gendler 2000-10-01 19:27:09 EDT
I agree that it is the kernel problem.
In addition to this RAM I defined 3 swap partitions, so I have plenty of memory.
I doubt that my memory is bad. First, I have (Corsair brand) ECC memory. Second, I am running
four operating systems (W98, WNT, OS2, LINUX) on this machine using the boot
manager. This machine is used very heavily and I have not got any memory
problem so far. Third, the previous version of RedHat - 6.2 is working perfectly.

I found one thing which causes this problem. It is the EMACS package,
the installation failed on this step (big package EMACS) several times.
When I removed it from install I managed to install the system.
But there is another problem. I was trying to install Oracle8i (v 8.1.6) for LINUX
which I had on the RH 6.2. It failed on the database creation step. When it goes
to the second task - creating database files it stays there forever and does not
create any. I reinstall RH 7.0 several times (without EMACS) and tried to install
Oracle. This problem is consistent.
Eventually I installed the previous RH 6.2 and installed this Oracle without
any problem as I did before. I think something wrong with glibs as well
in addition to the kernel.
Addtional configuration info - LINUX partition is more than 3 GB and as
I mention above 3 swap partitions, 133 MB each.
Comment 3 Chris Chabot 2000-10-04 08:01:31 EDT
I have had the same bug, on several types of systems including:
	amd k7 800 workstation
	512 Mb ram
	adaptec 2940 / IBM DDSY 36.8Gb HD
	3Com 3c905
	NVidia GeForce 2 DDR 64Mb
	Creative emu10k1
	Plextor 40x scsi
	Plextor 12x/8x/4x scsi writer
	teac 4x/12x writer
(ran 6.2 / windows before)
	Celeron 400 (Dell inspiron 7500 notebook)
	64Mb ram
	6 gig HD
	Neomagic vga
	ide cd/dvd
	Dual p3 - 600 (server)
	512 Mb ram
	soft-raid0 - 240 gig (4x70)
	scsi 18Gb seagate baracuda (/ filesystem)
	3com 3c905b
	NVidia GeForce (1)

and all systems, i either ran into these problems, or errors while formatting
(see my submited bug report on this [Bug 18320])
Comment 4 Vladimir Gendler 2000-10-07 13:14:50 EDT
If it is the kernel problem how do you explain that RH 6.2 is working with the same kernel?
I think we have two problems here. One is the installer problem because the installation
behave pretty consisyently - stops at one of the EMACS package. Another is probably
glibs because Oracle does not work under 7.0 an works under 6.2 with the same kernel.
Because some of the Oracle componenets get linked we can suspect glibs.
Comment 5 danz 2000-11-07 01:49:10 EST
I've had the same (or similar) problem.  I tried many times to perform the 
Workstation install of RH7.0 on my system and most of the time it halted on 
signal 11.  It did install successfully a couple of times, but never 
consecutively.  Also, the signal 11 always happened at some point during the 
package installations.  It would happen sometimes after only a few packages had 
been installed and sometimes right at the end.  During the install process I 
noticed that occassionally the system would pause, leaving the HDD-busy light 
on, for up to 15 seconds or so.  After this pause, it would either continue or 
receive a signal 11 (although, there was not always a pause before receiving 
the signal 11).

The drive configuration during the failed attempts was: CD-ROM - secondary 
master, the two hard drives - primary master and slave.  In this configuration 
win98 and ME install with no problems.

The only way I was able to get RH7.0 to install consistently (three times in a 
row) was to slave my CD-ROM drive to one of my hard drives.  Any ideas as to 
why this works??

The system:
EPOX EP-3VBM motherboard (9-13-2000 BIOS date)
PC Power & Cooling Standard 145 SFX power supply
128MB PC100 SDRAM (Crucial Technology, CT16M72S4D8E) 
Celeron 366 w/128KB Cache (FPO/BATCH #:L9140496)
2 Western Digital Ultra ATA/66 20GB hard drives
1 Creative Blaster 52X CD-ROM drive
Riva TNT AGP graphics card
Netgear FA310TX ethernet card
Panasonic PanaSync S17 monitor
Microsoft Natural Keyboard
Fellowes 'Browser 2' ps/2 mouse
Comment 6 danz 2000-11-22 00:43:38 EST
By switching over to a shell before beginning the package installation process 
of the installation, I was able to run the hdparm utility (had to copy it from 
a floppy) to set certain options for the two hard drives (-u1 -d1 -c3 -m8 -X68, 
I think).  With my two hard drives on the primary channel and my CD-ROM drive 
on the secondary, I've installed RH7.0 several times using this method and 
never received signal 11.  

I hope this helps...
Comment 7 Juan Jose Portela Zardetto 2001-06-30 00:02:21 EDT
It occours with RH 7.1 too, i was running RH6.2 in my box and want to upgrade to RH7.1, but it is impossible.
Comment 8 Bugzilla owner 2004-09-30 11:38:50 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.